/**
 * Eine Spalte bei "Vier gewinnt".
 * 
 * @author Selina M., Bianca R., Lara R., Sophie T.
 * @author Bernd Gramlich
 * @version 2014-12-22
 *
 */
public class Spalte
{
    private int anzahl;
    private String[] farbe;

    /**
     * Erstelle eine Spalte, die aus sieben bereinanderliegenden Scheiben besteht.
     */
    public Spalte ()
    {
       anzahl = 0;
       farbe  = new String[7];
    }
    
    /**
     * Wirf einen Chip in die Spalte.
     */
    public void wirfEin (String scheibenfarbe)
    {
        farbe[anzahl] = scheibenfarbe;
        anzahl++;      
    }
    
    /**
     * Zeige an, ob die Spalte voll ist.
     */
    public boolean spalteVoll ()
    {
        if (anzahl == 7)
        {
            return true;
        }
        else
        {
            return false;
        }
    } 
    
    /**
     * Gib die Farbe des Chips mit der entsprechenden Chipnummer aus.
     */
    public String gibFarbe (int chipNr)
    {  
        if (chipNr < anzahl)
        {
            return farbe[chipNr];
        }
        else
        {
            return "" + System.currentTimeMillis ();
        }
    }
    
    /**
     * Leere die Spalte.
     */
    public void leere ()
    {
        anzahl = 0;
    }        
}